package com.zj365.health.adapter.psychological

import com.chad.library.adapter.base.viewholder.BaseViewHolder
import com.ruffian.library.widget.RImageView
import com.xty.base.adapter.BaseAdapter
import com.xty.common.setImage
import com.xty.network.model.PsychologicalResultBean
import com.zj365.health.R

class PsychologicalRecommendAdapter : BaseAdapter<PsychologicalResultBean.RecommendPsychologicalBean>(R.layout.item_psychological_recommend) {
    override fun convert(holder: BaseViewHolder, item: PsychologicalResultBean.RecommendPsychologicalBean) {
        holder.setText(R.id.tv_title,item.surveyName)
        holder.setText(R.id.tv_person_num,"${item.totalNum}人")
        holder.getView<RImageView>(R.id.img_recommend).setImage(context,item.imageUrl)
    }
}